"""
Django settings for WebsiteAPI project.

Generated by 'django-admin startproject' using Django 1.10.4.

For more information on this file, see
https://docs.djangoproject.com/en/1.10/topics/settings/

For the full list of settings and their values, see
https://docs.djangoproject.com/en/1.10/ref/settings/
"""

import os

# Build paths inside the project like this: os.path.join(BASE_DIR, ...)
BASE_DIR = os.path.dirname(os.path.dirname(os.path.abspath(__file__)))


# Quick-start development settings - unsuitable for production
# See https://docs.djangoproject.com/en/1.10/howto/deployment/checklist/

# SECURITY WARNING: keep the secret key used in production secret!
SECRET_KEY = 't9djqjfbg90nh#)m^^g0ru7b)_(#%%1!(!j84_j5y!two&ow$8'

# SECURITY WARNING: don't run with debug turned on in production!
DEBUG = True

ALLOWED_HOSTS = ["*"]


# Application definition

INSTALLED_APPS = [
    'app',
]

ROOT_URLCONF = 'app.urls'

WSGI_APPLICATION = 'app.wsgi.application'


# Database
# https://docs.djangoproject.com/en/1.10/ref/settings/#databases

DATABASES = {

}

# Internationalization
# https://docs.djangoproject.com/en/1.10/topics/i18n/

LANGUAGE_CODE = 'en-us'

TIME_ZONE = 'UTC'

USE_I18N = True

USE_L10N = True

USE_TZ = True


# Static files (CSS, JavaScript, Images)
# https://docs.djangoproject.com/en/1.10/howto/static-files/

STATIC_URL = '/static/'
STATIC_ROOT = os.path.realpath("../static")

# POST_MAX_SIZE - Ilimitado
DATA_UPLOAD_MAX_MEMORY_SIZE = None

# API Particular settings

CONFIG = {
    # Dados para criação do FakeJwt
    # Rotas sem autenticação
    "JWT_ROUTES_WHITE_LIST": [
        "GET_v1/exemplo/",
        "GET_v1/exemplo/{exemplo_id}/",
    ],

    # Path do cache
    "CACHE_PATH": os.path.realpath("../cache/v2/"),

    # Urls de outros APIs do OnyxERP
    "URL_APP_API": "https://app-api.alpha.onyxapis.com",
    "URL_SOCIAL_API": "http://social-api-v2.onyxapis.com",
    "URL_UFCIDADE_API": "https://ufcidade-api.alpha.onyxapis.com",
    "URL_STORAGE_API": "https://storage-api.alpha.onyxapis.com",
    "URL_exemplo_api": "https://meta-api.alpha.onyxapis.com",
    "URL_SMS_API": "https://sms-api.alpha.onyxapis.com",
    "URL_GOV_API": "https://gov-api.alpha.onyxapis.com",
    "URL_GOVERNANCA_API": "http://governanca-api.alpha.onyxapis.com",
    "URL_BIO_API": "https://biometria-api.alpha.onyxapis.com",

    # MongoDB credentials
    "MONGODB": {
        "default": {
            'host': "",
            'base': "meta",
            'username': "",
            'password': "",
            'port': 27017
        },
    },
}
